#! /bin/sh
# Helmut Hullen, 18. Juli 2004

# $Id: doinst.sh,v 1.1 2005/05/31 13:27:23 HHullen Exp $
# $Log: doinst.sh,v $
# Revision 1.1  2005/05/31 13:27:23  HHullen
# Start
#

test -x sbin/ipchains || exit

test -f $(dirname $0)/odsconf && source $(dirname $0)/odsconf

for Datei in etc/{Schule,sysconfig,ppp}/*.neu 
  do
  config $Datei
  done

for Verz in etc/ppp/peers.neu
  do
	dirconfig $Verz
  done

for Dt in etc/ppp/{ip,inet,ppp}-{off,on}.neu  usr/lib/ods-server/{bin/PPP-config}.neu
  do
	Pfad=$(dirname $Dt)
	Datei=$(basename $Dt .neu)
	(cd $Pfad
	mkdir -p RCS
	rcs -l $Datei 2>/dev/null
	ci -u -wHHullen -t-Start -mSicherung $Datei
	mv -f --backup=t $Datei.neu $Datei
	rcs -l $Datei
	ci -u -wHHullen -m"ppp umgearbeitet" $Datei
	)
  done

	ed -s etc/ppp/pppoe.conf <<EOF
/^DNSTYPE/
c
DNSTYPE=NOCHANGE
.
wq
EOF

	ed -s etc/ppp/pppoe.conf <<EOF
/^PEERDNS/
c
PEERDNS=yes
.
wq
EOF

#
